import { Button, H1, Pre } from "@blueprintjs/core";
import { observer } from 'mobx-react-lite';
import React, { useState } from 'react';
import { useStores } from '../hooks/useStores';


const AdminDB = observer(props => {
    const { rootStore } = useStores();

    let [message, setMessage] = useState('');

    let [inWorkCheckAccess,  setInWorkCheckAccess] = useState(false);
    let [inWorkCheckMain,    setInWorkCheckMain] = useState(false);
    let [inWorkCheckModules, setInWorkCheckModules] = useState(false);

    let [inWorkFixAccess,  setInWorkFixAccess] = useState(false);
    let [inWorkFixMain,    setInWorkFixMain] = useState(false);
    let [inWorkFixModules, setInWorkFixModules] = useState(false);

    let [inWorkInitAccess,  setInWorkInitAccess] = useState(false);
    let [inWorkInitMain,    setInWorkInitMain] = useState(false);
    let [inWorkInitModules, setInWorkInitModules] = useState(false);

    return (
        <>
        <H1>Структура БД</H1>
        <div>
            <Button style={{width:250, margin:10, }} onClick = { e => {
                setInWorkCheckAccess(true);
                rootStore.loginStore.apiAuthRequest({ Action: "check", Storage: "access"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkCheckAccess(false); } );}
            }
            loading={inWorkCheckAccess} >Проверить таблицы доступа</Button>

            <Button style={{width:250, margin:10}} onClick = { e => {
                setInWorkCheckMain(true);
                rootStore.loginStore.apiAuthRequest({ Action: "check", Storage: "main"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkCheckMain(false); } );}
            }
            loading={inWorkCheckMain} >Проверить основные таблицы</Button>

            <Button style={{width:250, margin:10}} onClick = { e => {
                setInWorkCheckModules(true);
                rootStore.loginStore.apiAuthRequest({ Action: "check", Storage: "modules"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkCheckModules(false); } );}
            }
            loading={inWorkCheckModules} >Проверить таблицы модулей</Button>

            <br></br>

            <Button style={{width:250, margin:10}} onClick = { e => {
                setInWorkFixAccess(true);
                rootStore.loginStore.apiAuthRequest({ Action: "fix", Storage: "access"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkFixAccess(false); } );}
            }
            loading={inWorkFixAccess} >Исправить таблицы доступа</Button>

            <Button style={{width:250, margin:10}} onClick = { e => {
                setInWorkFixMain(true);
                rootStore.loginStore.apiAuthRequest({ Action: "fix", Storage: "main"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkFixMain(false); } );}
            }
            loading={inWorkFixMain} >Исправить основные таблицы</Button>

            <Button style={{width:250, margin:10}} onClick = { e => {
                setInWorkFixModules(true);
                rootStore.loginStore.apiAuthRequest({ Action: "fix", Storage: "modules"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkFixModules(false); } );}
            }
            loading={inWorkFixModules} >Исправить таблицы модулей</Button>

            <br></br>

            <Button style={{width:250, margin:10}} onClick = { e => {
                setInWorkInitAccess(true);
                rootStore.loginStore.apiAuthRequest({ Action: "init", Storage: "access"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkInitAccess(false); } );}
            }
            loading={inWorkInitAccess} >Заполнить таблицы доступа</Button>

            <Button style={{width:250, margin:10}} onClick = { e => {
                setInWorkInitMain(true);
                rootStore.loginStore.apiAuthRequest({ Action: "init", Storage: "main"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkInitMain(false); } );}
            }
            loading={inWorkInitMain} >Заполнить основные таблицы</Button>

            <Button style={{width:250, margin:10}} onClick = { e => {
                setInWorkInitModules(true);
                rootStore.loginStore.apiAuthRequest({ Action: "init", Storage: "modules"},
                "sys-storage",
                res => { setMessage(res.FullLog); setInWorkInitModules(false); } );}
            }
            loading={inWorkInitModules} >Заполнить таблицы модулей</Button>

            <br></br>
            <br></br>

            <Pre>
                {message}
            </Pre>

            </div>
        </>
    );
});

export default AdminDB;
