import React, { useState } from 'react';
import { Button, H1 } from '@blueprintjs/core';
import { observer } from 'mobx-react-lite';import { useStores } from '../hooks/useStores';

const ApiTest = observer(props => {
    const { rootStore } = useStores();
    const { lastError } = rootStore.loginStore;
    const [data, setData] = useState(null);

    function handleClick() {
        rootStore.loginStore.apiAuthRequest(null, 'api-non-existent', res => {
            setData(res);
        });
    }

    return (
        <>
            <H1>API tests</H1>
            <Button onClick={handleClick}>Test nonexistent API (api-non-existent)</Button>
            <p>Data: {data}</p>
            <p>Last Error: {lastError}</p>
        </>
    );
});

export default ApiTest;
