import React, { useState, useEffect } from 'react';
import { observer } from 'mobx-react-lite';import { useHistory, useLocation } from 'react-router-dom';
import { useStores } from '../hooks/useStores';
import queryString from 'query-string';

const AutoLogin = observer(props => {
    const { rootStore } = useStores();
    let { changeServer, sessionLogin } = rootStore.loginStore;

    let history = useHistory();
    let location = useLocation();

    let [text, setText] = useState('loading...');

    useEffect(() => {
        const values = queryString.parse(location.search);
        console.log(!!values.server);
        console.log(!!values.session);

        console.log(values);
        if (!!values.server && !!values.session) {
            setText('trying to auth...');

            changeServer(values.server);

            sessionLogin(values.session, result => {
                if (!!values.returnto) {
                    history.replace(values.returnto);
                } else {
                    history.push('/');
                }
            });
        } else {
            setText('wrong parameters! Redirecting in 3s...');

            setTimeout(() => {
                history.replace('/');
                window.location.reload();
            }, 3000);
        }
    }, [changeServer, history, location.search, sessionLogin]);

    return <p>Auth: {text}</p>;
});

export default AutoLogin;
