import { Button, MenuItem } from '@blueprintjs/core';
import { Select } from '@blueprintjs/select';
import { observer } from 'mobx-react-lite';
import React from 'react';

const CategoryFieldTypeSelect = observer(({ category, change }) => {
    const types = ['Binary', 'Date', 'Float', 'Number', 'String', 'StringNotLimit'];

    const itemRenderer = item => (
        <MenuItem
            //active={modifiers.active}
            // disabled={modifiers.disabled}
            //label={item}
            key={item}
            onClick={e => change(e.target.textContent)}
            text={item}
        />
    );
    return (
        <Select
            filterable={false}
            items={types}
            itemRenderer={itemRenderer}
            onItemSelect={() => {}}
            // controlled active item
            activeItem={category.DBCOL_TYPE}
            //onActiveItemChange={item => (category.DBCOL_TYPE = item)}>
        >
            <Button text={category.DBCOL_TYPE} rightIcon="double-caret-vertical" />
        </Select>
    );
});

export default CategoryFieldTypeSelect;
