import Editor from '@monaco-editor/react';
import { observer } from 'mobx-react-lite';
import React from 'react';
import { useStores } from '../hooks/useStores';

const CodeEditor = observer(props => {
    const { rootStore } = useStores();

    let { darkTheme } = rootStore.localStore;

    const handleEditorChange = (ev, value) => {
        props.onChange(ev, value);
    };

    return (
        <Editor
            onChange={handleEditorChange}
            language="html"
            value={props.value}
            theme={darkTheme ? 'dark' : 'light'}
        />
    );
});

export default CodeEditor;
