import React from 'react';
import { useStores } from '../hooks/useStores';

const Footer = () => {
    const { rootStore } = useStores();
    let { darkTheme } = rootStore.localStore;

    const backgroundColor = darkTheme ? '#202B33' : null;
    return (
        <footer className={'bp3-dark'} style={{ backgroundColor: backgroundColor }}>
            <div className="bp3-running-text" style={{ margin: '1em' }}>
                <p>
                    &copy; 2020 Dew&nbsp;
                    <span className={'bp3-text-muted'}>
                        {process.env.REACT_APP_VERSION}-{process.env.REACT_APP_GIT_SHA}
                    </span>
                </p>
            </div>
        </footer>
    );
};

export default Footer;
