import React, { useEffect, useState } from 'react';
import { Route } from 'react-router-dom';
import { observer } from 'mobx-react-lite';import { useStores } from '../hooks/useStores';

const PublicRoute = observer(({ component: Component, permission, ...rest }) => {
    const { rootStore } = useStores();
    let { tryLogin } = rootStore.loginStore;
    const [isLogged, setIsLogged] = useState(undefined);

    useEffect(() => {
        tryLogin(result => {
            setIsLogged(result);
        });
    }, []);

    function f(props) {
        return <Component permission={permission} {...props} />;
    }

    return <Route {...rest} render={props => (isLogged !== undefined) ? f(props) : null} />;
});

export default PublicRoute;
