import React from 'react';
import { H1, HTMLTable } from '@blueprintjs/core';
import { observer } from 'mobx-react-lite';import { useStores } from '../hooks/useStores';

const Relations = observer(props => {
    const { rootStore } = useStores();
    let { relations } = rootStore.objectsStore;

    const relList = (
        <>
            <HTMLTable interactive={true}>
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Имя</th>
                        <th>Описание</th>
                        <th>Таблица</th>
                        <th>GROUP_NAME</th>
                    </tr>
                </thead>
                <tbody>
                    {relations.map(r => {
                        return (
                            <tr>
                                <td>{r.ID_REL_TYPE}</td>
                                <td>{r.NAME}</td>
                                <td>{r.DESCRIPTION}</td>
                                <td>{r.DB_TBL_NAME}</td>
                                <td>{r.GROUP_NAME}</td>
                            </tr>
                        );
                    })}
                </tbody>
            </HTMLTable>
        </>
    );

    return (
        <>
            <H1>Отношения</H1>
            {relList}
        </>
    );
});

export default Relations;
