import React from 'react';
import { Button, Card, H5, Intent, Callout, Spinner } from '@blueprintjs/core';
import { observer } from 'mobx-react-lite';import { useHistory } from 'react-router-dom';
import { useStores } from '../hooks/useStores';

const UnAuthPage = observer(props => {
    let history = useHistory();

    const { rootStore } = useStores();

    const { serverInfo, fetchingData, serverStatus } = rootStore.infoStore;

    const cardStyle = {
        width: 400,
        alignSelf: 'center',
        margin: 'auto'
    }

    const ok = <Card>
        <H5>{serverInfo.ServerNameShort}</H5>
        <p>{serverInfo.ServerNameFull}</p>
        <Button onClick={() => history.push("/login")}>Войти</Button>
    </Card>

    const fail = <Callout intent={Intent.WARNING}>
        <p>Сервер <a href={process.env.REACT_APP_API}>{process.env.REACT_APP_API}</a> не отвечает</p>
        {process.env.REACT_APP_MULTI_API === 'true' && <Button onClick={() => history.push("/clogin")}>Вход на другой сервер</Button>}
    </Callout>

    return <div style={cardStyle}>{(fetchingData ? <Spinner /> : serverStatus ? ok : fail)}</div>
});

export default UnAuthPage;
