import React, { useEffect } from 'react';
import { H1, HTMLTable, Tag } from '@blueprintjs/core';
import { observer } from 'mobx-react-lite';import { useStores } from '../hooks/useStores';

const UserInfo = observer(props => {

    const { rootStore } = useStores();
    const { users, getUsers } = rootStore.usersStore;

    useEffect(() => {
        getUsers();
    }, [])

    const usersList = <>
        <HTMLTable interactive={true}>
            <thead>
                <th></th>
                <th>ID</th>
                <th>Логин</th>
                <th>Полное имя</th>
                <th>Пол</th>
                <th>Почта</th>
                <th>Телефон</th>
                <th>Дата рождения</th>
                <th>Офис</th>
                <th>Комментарий</th>
            </thead>
            <tbody>
                {users.Users.map(u => {
                    return <tr>
                        <td>{!!u.TI_DELETED && "❌"}{!!u.TI_LOCKED && "🔒"}</td>
                        <td>{u.ID}</td>
                        <td>{u.U_NAME}</td>
                        <td>{u.U_FULLNAME}</td>
                        <td>{u.U_SEX}</td>
                        <td>{u.U_EMAIL}</td>
                        <td>{u.U_PHONE_NUMS}</td>
                        <td>{new Date(u.BIRTH_DATE).toLocaleDateString()}</td>
                        <td>{u.UX_OFFICE}</td>
                        <td>{u.UX_DESCRIPTION}</td>
                    </tr>
                })}
            </tbody>
        </HTMLTable>
    </>


    return (<>
        <H1>Пользователи <Tag minimal={true}>{users.Users.length}</Tag></H1>
        {usersList}
    </>
    );
});

export default UserInfo;
