import { H1, HTMLTable, Tab, Tabs } from '@blueprintjs/core';
import { observer } from 'mobx-react-lite';
import React, { useEffect } from 'react';
import { useStores } from '../../hooks/useStores';
import StyledServerSettings from './ServerSettings';

const AboutServer = observer(props => {
    const { rootStore } = useStores();
    const { serverInfo } = rootStore.infoStore;

    const status = (
        <HTMLTable>
            <thead>
                <tr>
                    <th>Параметр</th>
                    <th>Значение</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Полное имя</td>
                    <td>{serverInfo.ServerNameFull}</td>
                </tr>
                <tr>
                    <td>Сокращенное имя</td>
                    <td>{serverInfo.ServerNameShort}</td>
                </tr>
                <tr>
                    <td>Версия</td>
                    <td>{serverInfo.ServerVersion}</td>
                </tr>
                <tr>
                    <td>Количество модулей</td>
                    <td>{serverInfo.ServerModulesCount}</td>
                </tr>
                <tr>
                    <td>Количество API</td>
                    <td>{serverInfo.ServerAPICount}</td>
                </tr>
            </tbody>
        </HTMLTable>
    );

    return (
        <>
            <H1>О сервере</H1>
            <Tabs id="Tabs">
                <Tab id="status" title="Статус" panel={status} />
                <Tab id="settings" title="Настройки" panel={<StyledServerSettings />} />
            </Tabs>
        </>
    );
});

export default AboutServer;
