import { makeAutoObservable } from "mobx";

class ExperimentsStore {
    nodes = [];
    lastNodeID = 0;

    elements = [];

    constructor(rootStore) {
        this.rootStore = rootStore;
        makeAutoObservable(this);
    }

    setData = (newData, newLastNodeID) => {
        this.nodes = newData;
        this.lastNodeID = newLastNodeID;
    }

    setElements = (newElements) => {
        this.elements = newElements;
    }

    setExpand = (nodeData, fileID) => {
        this.rootStore.loginStore.apiAuthRequest({ FileID: fileID, LastNodeID: this.lastNodeID, SDataID: Number(nodeData.key) },
            "api-sdata-getchildren",
            res => {
                nodeData.childNodes = res.Nodes;
                nodeData.isExpanded = true;
                var _nodes = JSON.parse(JSON.stringify(this.nodes));
                this.nodes = _nodes;
                this.lastNodeID = res.LastNodeID;
            });
    }

    setCollapse = (id) => {
        var _nodes = JSON.parse(JSON.stringify(this.nodes));
        setExpandCollapse(_nodes, id, false);
        this.nodes = _nodes;
    }
}

function setExpandCollapse(array, id, value) {
    if (array) {
        for (var i = 0; i < array.length; i++) {
            if (array[i].id === id) {
                array[i].isExpanded = value;
            }
            setExpandCollapse(array[i].childNodes, id, value);
        }
    }
}

export default ExperimentsStore;
