import { makeAutoObservable } from "mobx";

class InfoStore {
    serverInfo = {};
    instanceSettings = {};
    counter = 10;
    serverStatus;
    fetchingData = false;

    constructor(rootStore) {
        this.rootStore = rootStore;
        makeAutoObservable(this);
        this.getServerInfo();
    }

    getServerInfo = () => {
        this.fetchingData = true;
        this.counter++;
        this.rootStore.loginStore.apiUnAuthRequest(null, 'sys-status', res => {
            this.serverInfo = res;

            if (!!this.serverInfo.ServerNameFull) {
                this.serverStatus = true;
            }
            this.fetchingData = false;
        }, err => {
            this.fetchingData = false;
        });
    };

    getInstanceSettings = () => {
        let { session } = this.rootStore.loginStore;
        this.counter++;
        this.rootStore.loginStore.apiRequest(null, 'api-settings-instance-get', session, res => {
            this.instanceSettings = res;
        });
    };

    setInstanceSettings = (values) => {
        window.alert(JSON.stringify(values));
    }

    reset = () => {
        this.serverInfo = {};
        this.instanceSettings = {};
        this.counter = 10;
        this.serverStatus = undefined;
    };
}

export default InfoStore;
