import { makeAutoObservable } from 'mobx';
import { createViewModel } from 'mobx-utils';

class PagesStore {
    pages = [];
    pagesVMs = [];
    currentPage = null;

    constructor(rootStore) {
        this.rootStore = rootStore;
        makeAutoObservable(this);
    }

    getAllPages = () => {
        this.pages.clear();
        //this.pagesVMs.clear();
        const req = { GetAll: true, CategoryID: 10001 };
        this.rootStore.loginStore.apiAuthRequest(req, 'api-objects-get', res => {
            res.Objects.filter(o => [1002].includes(o.ID_TYPE)).forEach(o => {
                this.pages = [...this.pages, o];
            });
        });
    };

    getPars = (page, callback) => {
        const req = { CategoryID: page.ID_CAT, ObjectID: page.ID };
        this.rootStore.loginStore.apiAuthRequest(req, 'api-objects-getpars', res => {
            callback(res.Pars);
        });
    };

    setCurrentPage = page => {
        window.c = this.pagesVMs;
        if (this.pagesVMs.filter(p => p.ID === page.ID).length > 0) {
            this.currentPage = this.pagesVMs.filter(p => p.ID === page.ID)[0];
        } else {
            this.getPars(page, pars => {
                Object.assign(page, pars);
                let vm = createViewModel(page);
                this.pagesVMs = [...this.pagesVMs, vm];
                this.currentPage = vm;
            });
        }
        window.cc = this.currentPage;
    };

    isPageDirty = page => {
        if (this.pagesVMs.filter(p => p.ID === page.ID).length > 0) {
            return this.pagesVMs.filter(p => p.ID === page.ID)[0].isDirty;
        }
        return false;
    };
}

export default PagesStore;
