import LoginStore from './LoginStore';
import ServersStore from './ServersStore';
import InfoStore from './InfoStore';
import LocalStore from './LocalStore';
import UsersStore from './UsersStore';
import CallsStore from './CallsStore';
import ObjectsStore from './ObjectsStore';
import PagesStore from './PagesStore';

import ExperimentsStore from './ExperimentsStore';
import { configure, makeAutoObservable } from 'mobx';

class RootStore {
    constructor() {
        makeAutoObservable(this);
        configure({ enforceActions: 'never' });
        window.app = this;

        this.loginStore = new LoginStore(this);
        this.serversStore = new ServersStore(this);
        this.infoStore = new InfoStore(this);
        this.localStore = new LocalStore(this);
        this.usersStore = new UsersStore(this);
        this.callsStore = new CallsStore(this);
        this.objectsStore = new ObjectsStore(this);
        this.pagesStore = new PagesStore(this);

        this.experimentsStore = new ExperimentsStore(this);
    }
}
export default RootStore;
